Bug 806649 - Crash on bad array return from libnm-glib
Crash on bad array return from libnm-glib
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:f7488493c079e61ced328129092...
:
: 817016 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 14:02 EDT by Mikko Tiihonen
Modified: 2013-08-01 16:09 EDT (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (7.29 KB, text/plain)
2012-03-25 14:02 EDT, Mikko Tiihonen
no flags Details
File: dso_list (21.33 KB, text/plain)
2012-03-25 14:02 EDT, Mikko Tiihonen
no flags Details
File: var_log_messages (17.40 KB, text/plain)
2012-03-25 14:02 EDT, Mikko Tiihonen
no flags Details
File: maps (93.27 KB, text/plain)
2012-03-25 14:02 EDT, Mikko Tiihonen
no flags Details
File: backtrace (67.92 KB, text/plain)
2012-03-25 14:02 EDT, Mikko Tiihonen
no flags Details
File: backtrace (59.68 KB, text/plain)
2012-04-20 05:03 EDT, ffwbugzilla
no flags Details
File: backtrace (60.08 KB, text/plain)
2012-04-27 06:33 EDT, Mike Parker
no flags Details
File: backtrace (53.13 KB, text/plain)
2012-04-28 03:40 EDT, cyplo
no flags Details
File: backtrace (50.84 KB, text/plain)
2012-04-28 11:12 EDT, David Betz
no flags Details
File: backtrace (52.45 KB, text/plain)
2012-04-30 05:21 EDT, Nigel Atkinson
no flags Details
File: backtrace (47.57 KB, text/plain)
2012-04-30 08:10 EDT, kakemoto
no flags Details
File: backtrace (52.45 KB, text/plain)
2012-04-30 16:57 EDT, Gavin Simpson
no flags Details
File: backtrace (51.36 KB, text/plain)
2012-05-01 05:18 EDT, stephane
no flags Details
File: backtrace (53.98 KB, text/plain)
2012-05-03 05:24 EDT, Mikhail Veltishchev
no flags Details
File: backtrace (52.66 KB, text/plain)
2012-05-03 23:52 EDT, Rodrigo Afonso dos Santos
no flags Details
File: backtrace (51.01 KB, text/plain)
2012-05-08 15:11 EDT, Owen Johnson
no flags Details
File: backtrace (52.54 KB, text/plain)
2012-05-11 20:17 EDT, Bruno Martins
no flags Details
File: backtrace (51.23 KB, text/plain)
2012-05-18 06:02 EDT, Keimpe de Jong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 674473 None None None Never

  None (edit)
Description Mikko Tiihonen 2012-03-25 14:02:26 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-shell
kernel:         3.3.0-1.fc17.x86_64
pid:            1326
pwd:            /home/mtiihone
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
time:           Sun 25 Mar 2012 05:37:43 PM EEST
uid:            1001
username:       mtiihone

backtrace:      Text file, 69555 bytes
build_ids:      Text file, 7462 bytes
dso_list:       Text file, 21838 bytes
maps:           Text file, 95505 bytes
var_log_messages: Text file, 17817 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=quadvadis.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3eaa7b368cdfaf4372ecda170000000b-1332681998.391005-235037016
:GNOME_KEYRING_CONTROL=/home/mtiihone/.cache/keyring-mu0GdD
:IMSETTINGS_MODULE=none
:'JAVA_OPTS=-XX:+UseG1GC -Xmx1024m -Doracle.jdbc.maxCachedBufferSize=0 -Dnet.sf.ehcache.skipUpdateCheck=true -XX:+TieredCompilation -XX:MaxPermSize=512m -noverify -Djava.security.egd=file:///dev/urandom -Dsun.java2d.xrender=True'
:USER=mtiihone
:USERNAME=mtiihone
:'MAVEN_OPTS=-XX:+UseG1GC -Xmx1024m -Doracle.jdbc.maxCachedBufferSize=0 -Dnet.sf.ehcache.skipUpdateCheck=true -XX:+TieredCompilation -XX:MaxPermSize=512m -noverify -Djava.security.egd=file:///dev/urandom'
:MAIL=/var/spool/mail/mtiihone
:PATH=/home/mtiihone/.local/bin:/home/mtiihone/bin:/home/mtiihone/jdk/bin:/home/mtiihone/maven/bin:/home/mtiihone/ant/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mtiihone
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1100
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mtiihone
:SHLVL=1
:LOGNAME=mtiihone
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1EIBSOAir1,guid=1ac19d145d306e1f9f04f54300000022
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mtiihone
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mtiihone-FkNthM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1105,unix/unix:/tmp/.ICE-unix/1105
:GPG_AGENT_INFO=/home/mtiihone/.cache/keyring-mu0GdD/gpg:0:1
:SSH_AUTH_SOCK=/home/mtiihone/.cache/keyring-mu0GdD/ssh
:DESKTOP_AUTOSTART_ID=10d81231f75ef3915f133268199922530800000011050000
Comment 1 Mikko Tiihonen 2012-03-25 14:02:32 EDT
Created attachment 572554 [details]
File: build_ids
Comment 2 Mikko Tiihonen 2012-03-25 14:02:36 EDT
Created attachment 572555 [details]
File: dso_list
Comment 3 Mikko Tiihonen 2012-03-25 14:02:38 EDT
Created attachment 572556 [details]
File: var_log_messages
Comment 4 Mikko Tiihonen 2012-03-25 14:02:40 EDT
Created attachment 572557 [details]
File: maps
Comment 5 Mikko Tiihonen 2012-03-25 14:02:43 EDT
Created attachment 572558 [details]
File: backtrace
Comment 6 Owen Taylor 2012-04-05 19:33:34 EDT
What this backtrace shows is libnm-glib returning an array with invalid data to GNOME Shell, which crashes trying to convert it to GLib.

It's hard to tell what function returned the invalid data - one of:

 nm_client_get_devices()
 nm_client_get_active_connections()
 nm_device_wifi_get_access_points()

is most likely, since they are array-returning functions called by GNOME Shell. Knowing what circumstances this occurs in would help a lot.
Comment 7 Luke Macken 2012-04-19 13:36:07 EDT
I logged in, clicked firefox, and the shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Pavel Šimerda (pavlix) 2012-04-19 20:21:22 EDT
It crashes on service NetworkManager restart with NetworkManager-0.9.4-5.git20120403.fc17.x86_64

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 ffwbugzilla 2012-04-20 05:03:37 EDT
I was installing an update with yum. While I did that, gnome-shell chrashed and was restarted.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 ffwbugzilla 2012-04-20 05:03:41 EDT
Created attachment 578926 [details]
File: backtrace
Comment 11 Bruno Martins 2012-04-22 16:47:34 EDT
Just starting LibreOffice while making some updates.

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 beaver.pv 2012-04-23 08:39:30 EDT
Crashed for me on the same style while I was making some changes in VPN settings via the Network Manager (GUI).
Comment 13 mariolinux 2012-04-25 06:11:01 EDT
updating fedora, in the cleanup phase

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Mike Parker 2012-04-27 06:33:37 EDT
Crash occurred whilst upgrading packages via yum. Cleanup of sssd package was ongoing at time of crash

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 Mike Parker 2012-04-27 06:33:43 EDT
Created attachment 580719 [details]
File: backtrace
Comment 16 cyplo 2012-04-28 03:40:37 EDT
browsing web using firefox while yum upgrade running in the terminal

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 17 cyplo 2012-04-28 03:40:44 EDT
Created attachment 580943 [details]
File: backtrace
Comment 18 David Betz 2012-04-28 11:12:16 EDT
I was running "update" to obtain the latest updates.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 19 David Betz 2012-04-28 11:12:22 EDT
Created attachment 580980 [details]
File: backtrace
Comment 20 Nigel Atkinson 2012-04-30 05:21:31 EDT
Booted then, started a yum upadate via terminal.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 21 Nigel Atkinson 2012-04-30 05:21:37 EDT
Created attachment 581158 [details]
File: backtrace
Comment 22 kakemoto 2012-04-30 08:10:54 EDT
Updateing packages by 'yum apdate'

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 23 kakemoto 2012-04-30 08:10:58 EDT
Created attachment 581173 [details]
File: backtrace
Comment 24 Owen Taylor 2012-04-30 10:04:24 EDT
*** Bug 817016 has been marked as a duplicate of this bug. ***
Comment 25 Gavin Simpson 2012-04-30 16:57:07 EDT
The problem occurred during installation of a series of updated packages from Fedora's package repos. Other than that I was just using my computer as normal. The packages being updated were:

Updated:
  NetworkManager.x86_64 1:0.9.4-3.git20120403.fc16                                 NetworkManager-glib.x86_64 1:0.9.4-3.git20120403.fc16                                
  NetworkManager-gnome.x86_64 1:0.9.4-3.git20120403.fc16                           NetworkManager-gtk.x86_64 1:0.9.4-3.git20120403.fc16                                 
  PackageKit.x86_64 0:0.6.22-2.fc16                                                PackageKit-command-not-found.x86_64 0:0.6.22-2.fc16                                  
  PackageKit-device-rebind.x86_64 0:0.6.22-2.fc16                                  PackageKit-glib.x86_64 0:0.6.22-2.fc16                                               
  PackageKit-gstreamer-plugin.x86_64 0:0.6.22-2.fc16                               PackageKit-gtk-module.x86_64 0:0.6.22-2.fc16                                         
  PackageKit-gtk3-module.x86_64 0:0.6.22-2.fc16                                    PackageKit-yum.x86_64 0:0.6.22-2.fc16                                                
  PackageKit-yum-plugin.x86_64 0:0.6.22-2.fc16                                     autocorr-en.noarch 1:3.4.5.2-12.fc16                                                 
  evolution.x86_64 0:3.2.3-3.fc16                                                  evolution-NetworkManager.x86_64 0:3.2.3-3.fc16                                       
  evolution-bogofilter.x86_64 0:3.2.3-3.fc16                                       evolution-help.noarch 0:3.2.3-3.fc16                                                 
  flac.x86_64 0:1.2.1-8.fc16                                                       gnome-color-manager.x86_64 0:3.2.3-2.fc16                                            
  ibus-hangul.x86_64 0:1.4.1-1.fc16                                                im-chooser.x86_64 0:1.5.2.2-1.fc16                                                   
  im-chooser-common.x86_64 0:1.5.2.2-1.fc16                                        libipa_hbac.x86_64 0:1.8.2-10.fc16                                                   
  libmtp.x86_64 0:1.1.3-2.fc16                                                     libreoffice-base.x86_64 1:3.4.5.2-12.fc16                                            
  libreoffice-calc.x86_64 1:3.4.5.2-12.fc16                                        libreoffice-core.x86_64 1:3.4.5.2-12.fc16                                            
  libreoffice-draw.x86_64 1:3.4.5.2-12.fc16                                        libreoffice-graphicfilter.x86_64 1:3.4.5.2-12.fc16                                   
  libreoffice-impress.x86_64 1:3.4.5.2-12.fc16                                     libreoffice-javafilter.x86_64 1:3.4.5.2-12.fc16                                      
  libreoffice-langpack-en.x86_64 1:3.4.5.2-12.fc16                                 libreoffice-math.x86_64 1:3.4.5.2-12.fc16                                            
  libreoffice-ogltrans.x86_64 1:3.4.5.2-12.fc16                                    libreoffice-opensymbol-fonts.noarch 1:3.4.5.2-12.fc16                                
  libreoffice-pdfimport.x86_64 1:3.4.5.2-12.fc16                                   libreoffice-presentation-minimizer.x86_64 1:3.4.5.2-12.fc16                          
  libreoffice-presenter-screen.x86_64 1:3.4.5.2-12.fc16                            libreoffice-report-builder.x86_64 1:3.4.5.2-12.fc16                                  
  libreoffice-ure.x86_64 1:3.4.5.2-12.fc16                                         libreoffice-writer.x86_64 1:3.4.5.2-12.fc16                                          
  libreoffice-xsltfilter.x86_64 1:3.4.5.2-12.fc16                                  libv4l.x86_64 0:0.8.7-1.fc16                                                         
  mdadm.x86_64 0:3.2.3-7.fc16                                                      pixman.x86_64 0:0.24.4-1.fc16                                                        
  pixman-devel.x86_64 0:0.24.4-1.fc16                                              radvd.x86_64 0:1.8.2-3.fc16                                                          
  ruby-libs.x86_64 0:1.8.7.358-1.fc16                                              selinux-policy.noarch 0:3.10.0-84.fc16                                               
  selinux-policy-targeted.noarch 0:3.10.0-84.fc16                                  sssd.x86_64 0:1.8.2-10.fc16                                                          
  sssd-client.x86_64 0:1.8.2-10.fc16                                               systemd.x86_64 0:37-19.fc16                                                          
  systemd-sysv.x86_64 0:37-19.fc16                                                 systemd-units.x86_64 0:37-19.fc16                                                    
  thunderbird.x86_64 0:12.0-1.fc16                                                 ypbind.x86_64 3:1.35-2.fc16 


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 26 Gavin Simpson 2012-04-30 16:57:12 EDT
Created attachment 581278 [details]
File: backtrace
Comment 27 Fedora Update System 2012-04-30 18:25:07 EDT
NetworkManager-0.9.4-4.git20120403.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.4-4.git20120403.fc16
Comment 28 stephane 2012-05-01 05:18:26 EDT
I really don't know when the problem happens, it seems to be random...

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 29 stephane 2012-05-01 05:18:32 EDT
Created attachment 581335 [details]
File: backtrace
Comment 30 Fedora Update System 2012-05-03 03:32:46 EDT
Package NetworkManager-0.9.4-4.git20120403.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.4-4.git20120403.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7168/NetworkManager-0.9.4-4.git20120403.fc16
then log in and leave karma (feedback).
Comment 31 Mikhail Veltishchev 2012-05-03 05:24:07 EDT
System was updated using yum (sudo yum update)

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 32 Mikhail Veltishchev 2012-05-03 05:24:15 EDT
Created attachment 581811 [details]
File: backtrace
Comment 33 Rodrigo Afonso dos Santos 2012-05-03 23:52:15 EDT
I just was updating the system using the bash.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora 16
Comment 34 Rodrigo Afonso dos Santos 2012-05-03 23:52:26 EDT
Created attachment 582018 [details]
File: backtrace
Comment 35 Owen Johnson 2012-05-08 15:11:48 EDT
I was away from my computer and this ABRT notice waiting for me when I came back. That's all I know, and nothing appears to be broken.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 36 Owen Johnson 2012-05-08 15:11:55 EDT
Created attachment 583061 [details]
File: backtrace
Comment 37 Bruno Martins 2012-05-11 20:17:18 EDT
Clicked on battery icon, but probably this is extension's fault.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 38 Bruno Martins 2012-05-11 20:17:28 EDT
Created attachment 583953 [details]
File: backtrace
Comment 39 Luke Macken 2012-05-16 12:08:48 EDT
I did a yum update to the latest version, rebooted, and logged in. Then abrt told me the shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 40 Keimpe de Jong 2012-05-18 06:02:06 EDT
while updating fresh installed f16 after enabling testing repo

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 41 Keimpe de Jong 2012-05-18 06:02:14 EDT
Created attachment 585377 [details]
File: backtrace
Comment 42 Stuart D Gathman 2012-06-14 21:15:15 EDT
Gnome-shell memory use grows over time, and has done so since I installed F16.  When it gets to about 2G virtual memory used, it crashes.  On a nearly identical system with unsupported Intel Graphics, I run the same applications with gnome3 in fallback mode, which does not have the memory leak.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 43 Mikko Tiihonen 2012-07-12 07:29:54 EDT
I have no longer seen this crash after tinstalling he fixed NetworkManager packages.
And the constant flow of duplcate reports seems to have stopped too.
Comment 44 winglessbuzzard 2012-12-04 16:47:44 EST
opened google chrome immediately after starting the computer and logging in.  google chrome did open fine.  I can't detect that anything bad actually happened.

backtrace_rating: 4
Package: gnome-shell-3.4.1-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 45 Michael Buckley 2013-01-06 13:20:33 EST
After applying the latest system updates to Fedora 16, gnome abends and complains about what it can do.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 46 Fedora End Of Life 2013-07-04 03:46:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 47 Fedora End Of Life 2013-08-01 16:09:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.